Loading...
Searching...
No Matches
factory.h File Reference
Base API

Common factory related definitions. More...

`#include <l4/sys/compiler.h>`
`#include <l4/sys/types.h>`
`#include <l4/sys/utcb.h>`
`#include <l4/sys/ipc.h>`
Include dependency graph for factory.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

l4_msgtag_t | l4_factory_create_task (l4_cap_idx_t factory, l4_cap_idx_t target_cap, l4_fpage_t *utcb_area) L4_NOTHROW
| Create a new task.
l4_msgtag_t | l4_factory_create_thread (l4_cap_idx_t factory, l4_cap_idx_t target_cap) L4_NOTHROW
| Create a new thread.
l4_msgtag_t | l4_factory_create_factory (l4_cap_idx_t factory, l4_cap_idx_t target_cap, unsigned long limit) L4_NOTHROW
| Create a new factory.
l4_msgtag_t | l4_factory_create_gate (l4_cap_idx_t factory, l4_cap_idx_t target_cap, l4_cap_idx_t snd_dst_cap, l4_umword_t label) L4_NOTHROW
| Create a new IPC gate, optionally bound to a send destination (a thread or thread group).
l4_msgtag_t | l4_factory_create_irq (l4_cap_idx_t factory, l4_cap_idx_t target_cap) L4_NOTHROW
| Create a new IRQ sender.
l4_msgtag_t | l4_factory_create_vm (l4_cap_idx_t factory, l4_cap_idx_t target_cap) L4_NOTHROW
| Create a new virtual machine.
l4_msgtag_t | l4_factory_create_vcpu_context (l4_cap_idx_t factory, l4_cap_idx_t target_cap) L4_NOTHROW
| Create a new vCPU context.
l4_msgtag_t | l4_factory_create_thread_group (l4_cap_idx_t factory, l4_cap_idx_t target_cap, unsigned policy) L4_NOTHROW
| Create a new thread group.
l4_msgtag_t | l4_factory_create (l4_cap_idx_t factory, long obj, l4_cap_idx_t target) L4_NOTHROW
| Create a new object.

## Detailed Description

Common factory related definitions.

Definition in file factory.h.